## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate erdtree

Name:           rust-erdtree
Version:        3.1.2
Release:        %autorelease
Summary:        Cross-platform multi-threaded filesystem and disk usage analysis tool

License:        MIT
URL:            https://crates.io/crates/erdtree
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          erdtree-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Erdtree (erd) is a cross-platform, multi-threaded, and general purpose
filesystem and disk usage utility that is aware of .gitignore and hidden
file rules.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Output of "cargo_license_summary" macro
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MPL-2.0 AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%doc SECURITY.md
%{_bindir}/erd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 blinxen <h-k-81@hotmail.com> - 3.1.2-1
- Update to version 3.1.2 (rhbz#2219113)

* Sat Jul 01 2023 blinxen <h-k-81@hotmail.com> - 3.1.1-1
- Update to version 3.1.1; Fixes rhbz#2219031

* Tue Jun 13 2023 blinxen <h-k-81@hotmail.com> - 3.0.2-1
- Update to version 3.0.2

* Wed May 31 2023 blinxen <h-k-81@hotmail.com> - 3.0.1-1
- Update to version 3.0.1

* Mon May 01 2023 blinxen <h-k-81@hotmail.com> - 2.0.0-1
- Initial package
## END: Generated by rpmautospec
